import Layout from '@/layout'
const systemSettingsRoutes = {
  path: '/',
  component: Layout,
  redirect: "/systemSettings",
  meta: { roles: ['system_menu'] },
  children: [
    {
      path: '/systemSettings',
      name: 'systemSettings',
      component: () => import('@/views/systemSettings/index'),
      meta: { title: '系统设置', icon: 'systemSettings', imgstyle: 'ic_setting_nav_default.png', imgstyleup: 'ic_setting_nav_check.png' },
      children: [
        {
          path: '/systemSettings',
          name: 'serviceManagement',
          component: () => import('@/views/systemSettings/views/serviceManagement/serviceHome'),
          meta: { title: '服务管理'},
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
        {
          path: '/systemSettings/sourceDataItemManagement',
          name: 'sourceDataItemManagement',
          component: () => import('@/views/systemSettings/views/sourceDataItemManagement/sourceDataItemHome'),
          meta: { title: '源数据管理' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
        {
          path: '/systemSettings/targetDataManagement',
          name: 'targetDataManagement',
          component: () => import('@/views/systemSettings/views/targetDataManagement/targetDataHome'),
          meta: { title: '目标数据管理' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
        {
          path: '/systemSettings/protocolManagement',
          name: 'protocolManagement',
          component: () => import('@/views/systemSettings/views/protocolManagement/protocolHome'),
          meta: { title: '协议管理' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
        {
          path: '/systemSettings/machineManagement',
          name: 'machineManagement',
          component: () => import('@/views/systemSettings/views/machineManagement/machineHome'),
          meta: { title: '机器维护' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
        {
          path: '/systemSettings/warningSet',
          name: 'warningSet',
          component: { render(c) { return c('router-view') } },
          redirect: '/systemSettings/warningSet',
          meta: { title: '报警预警设置' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png'),
          children: [{
            path: '/systemSettings/warningSet',
            component: () => import('@/views/systemSettings/views/warningSet/warningSet'),
          },
          {
            path: '/systemSettings/warningEdit',
            name: 'warningEdit',
            component: () => import('@/views/systemSettings/views/warningSet/warningEdit'),
            meta: { title: '报警预警设置' },
            hidden: false,
            isAlone: true,
            src: require('@/assets/nav/ic_setting_top@2x.png')
          },
          ]
        },

      ]
    }
  ]
}


export default [
  systemSettingsRoutes
]
